commit:     7771610544997504cb807b76bc7d4b7af524f1d5
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 10 06:39:20 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Sep 10 06:39:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77716105

media-sound/qsynth: bump to 0.9.12

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/qsynth/Manifest             |  1 +
 media-sound/qsynth/qsynth-0.9.12.ebuild | 72 +++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/media-sound/qsynth/Manifest b/media-sound/qsynth/Manifest
index e7fcec5f5499..df5eb08e0e19 100644
--- a/media-sound/qsynth/Manifest
+++ b/media-sound/qsynth/Manifest
@@ -1 +1,2 @@
 DIST qsynth-0.9.11.tar.gz 333402 BLAKE2B 
72a57a978bad1c4b2abcb287ea27c1c1365c06efdeedcd9bb69ca01a20304f48b19065c5e5181e8d30a3d4137eee56ec69cfba32dd8d2fa29f3ea1140019e089
 SHA512 
3d6c40066db235fc39ca804de1a352ade9e03e162b5901d0e1170f1f0cb4ec3e1631d2fe2b1e50a9cbab9528bca54ebb0afb8e5d615fb8f0b06b9761ae472f2d
+DIST qsynth-0.9.12.tar.gz 333588 BLAKE2B 
778edbb60535aea55f3d82074e8723b37fef6fa01975403211317753f790e14baf9f59db294f68e3d067a2142b450878cfaf412ad22480744936a2eee1d654d1
 SHA512 
44017d24c09714d174c774083462f7dc263f2abc7aaf7d2cda0f4987b007210a33dcfb35d47eacd5682859e5299f75e26e47fd2f73458eb2a05a36c27d5889f0

diff --git a/media-sound/qsynth/qsynth-0.9.12.ebuild 
b/media-sound/qsynth/qsynth-0.9.12.ebuild
new file mode 100644
index 000000000000..ab43ec3a943b
--- /dev/null
+++ b/media-sound/qsynth/qsynth-0.9.12.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop xdg
+
+DESCRIPTION="Qt application to control FluidSynth"
+HOMEPAGE="https://qsynth.sourceforge.io/";
+
+if [[ ${PV} == *9999* ]]; then
+       EGIT_REPO_URI="https://git.code.sf.net/p/qsynth/code";
+       inherit git-r3
+else
+       SRC_URI="mirror://sourceforge/qsynth/${P}.tar.gz"
+       KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+alsa debug jack pulseaudio qt6"
+
+REQUIRED_USE="|| ( alsa jack pulseaudio )"
+
+BDEPEND="
+       qt6? ( dev-qt/qttools:6[linguist] )
+       !qt6? ( dev-qt/linguist-tools:5 )
+"
+DEPEND="
+       qt6? (
+               dev-qt/qtbase:6[gui,network,widgets]
+               dev-qt/qtsvg:6
+       )
+       !qt6? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5
+               dev-qt/qtsvg:5
+               dev-qt/qtwidgets:5
+       )
+       media-sound/fluidsynth:=[jack?,alsa?,pulseaudio?]
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               -DCONFIG_DEBUG=$(usex debug 1 0)
+               -DCONFIG_QT6=$(usex qt6 1 0)
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       # The desktop file is invalid, and we also change the command
+       # depending on useflags
+       rm "${D}/usr/share/applications/org.rncbc.qsynth.desktop" || die
+
+       local cmd
+       if use jack; then
+               cmd="qsynth"
+       elif use pulseaudio; then
+               cmd="qsynth -a pulseaudio"
+       elif use alsa; then
+               cmd="qsynth -a alsa"
+       else
+               cmd="qsynth -a oss"
+       fi
+
+       make_desktop_entry "${cmd}" Qsynth org.rncbc.qsynth
+}

Reply via email to